XML Standard API: Interface XMLStreamWriter

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.stream
Interface XMLStreamWriter

public interface XMLStreamWriter

Method Summary
`void` | `close()`
`void` | `flush()`
`NamespaceContext` | `getNamespaceContext()`
`java.lang.String` | `getPrefix(java.lang.String uri)`
`java.lang.Object` | `getProperty(java.lang.String name)`
`void` | `setDefaultNamespace(java.lang.String uri)`
`void` | `setNamespaceContext(NamespaceContext context)`
`void` | `setPrefix(java.lang.String prefix, java.lang.String uri)`
`void` | `writeAttribute(java.lang.String localName, java.lang.String value)`
`void` | `writeAttribute(java.lang.String namespaceURI, java.lang.String localName, java.lang.String value)`
`void` | `writeAttribute(java.lang.String prefix, java.lang.String namespaceURI, java.lang.String localName, java.lang.String value)`
`void` | `writeCData(java.lang.String data)`
`void` | `writeCharacters(char[] text, int start, int len)`
`void` | `writeCharacters(java.lang.String text)`
`void` | `writeComment(java.lang.String data)`
`void` | `writeDefaultNamespace(java.lang.String namespaceURI)`
`void` | `writeDTD(java.lang.String dtd)`
`void` | `writeEmptyElement(java.lang.String localName)`
`void` | `writeEmptyElement(java.lang.String namespaceURI, java.lang.String localName)`
`void` | `writeEmptyElement(java.lang.String prefix, java.lang.String localName, java.lang.String namespaceURI)`
`void` | `writeEndDocument()`
`void` | `writeEndElement()`
`void` | `writeEntityRef(java.lang.String name)`
`void` | `writeNamespace(java.lang.String prefix, java.lang.String namespaceURI)`
`void` | `writeProcessingInstruction(java.lang.String target)`
`void` | `writeProcessingInstruction(java.lang.String target, java.lang.String data)`
`void` | `writeStartDocument()`
`void` | `writeStartDocument(java.lang.String version)`
`void` | `writeStartDocument(java.lang.String encoding, java.lang.String version)`
`void` | `writeStartElement(java.lang.String localName)`
`void` | `writeStartElement(java.lang.String namespaceURI, java.lang.String localName)`
`void` | `writeStartElement(java.lang.String prefix, java.lang.String localName, java.lang.String namespaceURI)`

Method Detail

### close

    public void close()
               throws XMLStreamException

### flush

    public void flush()
               throws XMLStreamException

### getNamespaceContext

    public NamespaceContext getNamespaceContext()

### getPrefix

    public java.lang.String getPrefix(java.lang.String uri)
                               throws XMLStreamException

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws java.lang.IllegalArgumentException

### setDefaultNamespace

    public void setDefaultNamespace(java.lang.String uri)
                             throws XMLStreamException

### setNamespaceContext

    public void setNamespaceContext(NamespaceContext context)
                             throws XMLStreamException

### setPrefix

    public void setPrefix(java.lang.String prefix,
                          java.lang.String uri)
                   throws XMLStreamException

### writeAttribute

    public void writeAttribute(java.lang.String localName,
                               java.lang.String value)
                        throws XMLStreamException

### writeAttribute

    public void writeAttribute(java.lang.String namespaceURI,
                               java.lang.String localName,
                               java.lang.String value)
                        throws XMLStreamException

### writeAttribute

    public void writeAttribute(java.lang.String prefix,
                               java.lang.String namespaceURI,
                               java.lang.String localName,
                               java.lang.String value)
                        throws XMLStreamException

### writeCData

    public void writeCData(java.lang.String data)
                    throws XMLStreamException

### writeCharacters

    public void writeCharacters(char[] text,
                                int start,
                                int len)
                         throws XMLStreamException

### writeCharacters

    public void writeCharacters(java.lang.String text)
                         throws XMLStreamException

### writeComment

    public void writeComment(java.lang.String data)
                      throws XMLStreamException

### writeDefaultNamespace

    public void writeDefaultNamespace(java.lang.String namespaceURI)
                               throws XMLStreamException

### writeDTD

    public void writeDTD(java.lang.String dtd)
                  throws XMLStreamException

### writeEmptyElement

    public void writeEmptyElement(java.lang.String localName)
                           throws XMLStreamException

### writeEmptyElement

    public void writeEmptyElement(java.lang.String namespaceURI,
                                  java.lang.String localName)
                           throws XMLStreamException

### writeEmptyElement

    public void writeEmptyElement(java.lang.String prefix,
                                  java.lang.String localName,
                                  java.lang.String namespaceURI)
                           throws XMLStreamException

### writeEndDocument

    public void writeEndDocument()
                          throws XMLStreamException

### writeEndElement

    public void writeEndElement()
                         throws XMLStreamException

### writeEntityRef

    public void writeEntityRef(java.lang.String name)
                        throws XMLStreamException

### writeNamespace

    public void writeNamespace(java.lang.String prefix,
                               java.lang.String namespaceURI)
                        throws XMLStreamException

### writeProcessingInstruction

    public void writeProcessingInstruction(java.lang.String target)
                                    throws XMLStreamException

### writeProcessingInstruction

    public void writeProcessingInstruction(java.lang.String target,
                                           java.lang.String data)
                                    throws XMLStreamException

### writeStartDocument

    public void writeStartDocument()
                            throws XMLStreamException

### writeStartDocument

    public void writeStartDocument(java.lang.String version)
                            throws XMLStreamException

### writeStartDocument

    public void writeStartDocument(java.lang.String encoding,
                                   java.lang.String version)
                            throws XMLStreamException

### writeStartElement

    public void writeStartElement(java.lang.String localName)
                           throws XMLStreamException

### writeStartElement

    public void writeStartElement(java.lang.String namespaceURI,
                                  java.lang.String localName)
                           throws XMLStreamException

### writeStartElement

    public void writeStartElement(java.lang.String prefix,
                                  java.lang.String localName,
                                  java.lang.String namespaceURI)
                           throws XMLStreamException

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.